import request from '@/utils/request'

// 查询卡分配记录详情列表
export function listBBusiCardsOpenDetail(query) {
  return request({
    url: '/back/bBusiCardsOpenDetail/list',
    method: 'get',
    params: query
  })
}

// 查询卡分配记录详情详细
export function getBBusiCardsOpenDetail(id) {
  return request({
    url: '/back/bBusiCardsOpenDetail/' + id,
    method: 'get'
  })
}

// 新增卡分配记录详情
export function addBBusiCardsOpenDetail(data) {
  return request({
    url: '/back/bBusiCardsOpenDetail',
    method: 'post',
    data: data
  })
}

// 修改卡分配记录详情
export function updateBBusiCardsOpenDetail(data) {
  return request({
    url: '/back/bBusiCardsOpenDetail',
    method: 'put',
    data: data
  })
}

// 删除卡分配记录详情
export function delBBusiCardsOpenDetail(id) {
  return request({
    url: '/back/bBusiCardsOpenDetail/' + id,
    method: 'delete'
  })
}

// 导出卡分配记录详情
export function exportBBusiCardsOpenDetail(query) {
  return request({
    url: '/back/bBusiCardsOpenDetail/export',
    method: 'get',
    params: query
  })
}